org.apache.felix.service.command.annotations

## Annotation Type RequireGogo

    @Retention(value=CLASS)
     @Target(value={TYPE,PACKAGE})
     @Requirement(effective="active",
                 namespace="org.apache.felix.gogo",
                 name="shell.implementation")
    public @interface RequireGogo

### Field Summary

Fields
`static String` `JLINE`
`static String` `SHELL`

### Optional Element Summary

Optional Elements
`String` `value`

### Field Detail

#### JLINE

    public static final String JLINE

#### SHELL

    public static final String SHELL

### Element Detail

#### value

    @Attribute(value="implementation.name")
    public abstract String value

Default:
  "gogo.shell"